﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ParticleSystemOverride : MonoBehaviour {

    public ParticleSystem ps;
    public Camera cam;

    public AddedWaveVisualiser waveVisualiser;
    private ParticleSystem.Particle[] particles;
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		if(ps != null)
        {
            //ps.Emit(1);
            particles = new ParticleSystem.Particle[ps.particleCount];
            ps.GetParticles(particles);
            for (int i = 0; i < particles.Length; ++i)
            {
                ParticleSystem.Particle p = particles[i];
                //use p.remainlingLifetime / p.totalLifetime as alpha;
                p.position = new Vector3(p.position.x, (float)waveVisualiser.GetValue(p.position.x), 0);
                particles[i] = p;
            }
        }
        ps.SetParticles(particles, particles.Length);
	}
}
