﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TrapController : MonoBehaviour {
    public Sprite trapOpen;
    public Sprite trapClosed;

    public float closedTime = 0.5f;

    public float speed = -1f;

    float timeToOpen;

    SpriteRenderer spriteRenderer;

    // Use this for initialization
    void Start () {
        spriteRenderer = gameObject.GetComponent<SpriteRenderer>();
        timeToOpen = 0;
	}
	
	// Update is called once per frame
	void Update () {

        transform.position = new Vector2(transform.position.x + speed * Time.deltaTime, transform.position.y);
        if (timeToOpen <= 0)
        {
            timeToOpen = 0;
            spriteRenderer.sprite = trapOpen;
        }
        else
        {
            timeToOpen -= Time.deltaTime;
        }
        if (transform.position.x < -10) Destroy(gameObject);
    }
    
    private void OnTriggerStay2D(Collider2D collision)
    {
        if (collision.tag == "Player" && timeToOpen == 0)
        {
            collision.SendMessage("Die");
            spriteRenderer.sprite = trapClosed;
            timeToOpen = closedTime;
        }
    }
}
