﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AddedWaveVisualiser : MonoBehaviour {
    public AddedWaves source;
    public double waveScale;
    public float ampScale;
    public float timeScale;


    float timeOffset = 0;
    // Use this for initialization
    void Start () {
        if (transform.lossyScale.x != 0 && transform.lossyScale.y != 0)
        {
            foreach (Transform child in transform)
            {
            }
        }
    }

    // Update is called once per frame
    void Update()
    {
        timeOffset += Time.deltaTime * timeScale;

        if (transform.lossyScale.x != 0 && transform.lossyScale.y != 0)
        {
            foreach (Transform child in transform)
            {
                child.localPosition = new Vector2(child.localPosition.x, ampScale * (float)source.GetValue((child.localPosition.x + timeOffset) * waveScale));
                child.localScale = new Vector2(1 / transform.lossyScale.x, 1 / transform.lossyScale.y);
            }
        }
    }

    public double GetValue (double x)
    {
        return ampScale * (float)source.GetValue((x + timeOffset) * waveScale);
    }
}
