﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System.Runtime.InteropServices;

public class MidiToggle : MonoBehaviour {
    public int cc;

    Toggle toggle;
	// Use this for initialization
	void Start () {
        toggle = gameObject.GetComponent<Toggle>();
	}
	
	// Update is called once per frame
	void Update () {
        if (CountEndpoints() != 0)
        {
            if (MidiJack.MidiMaster.GetKnob(cc, 0f) > 0)
            {
                toggle.isOn = true;
            } else
            {
                toggle.isOn = false;
            }
        }
    }

    [DllImport("MidiJackPlugin", EntryPoint = "MidiJackCountEndpoints")]
    static extern int CountEndpoints();
}
