﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

public class PlayAddedWaves : MonoBehaviour {
    public AddedWaves source;

    private double phase = 0;
    private double sample_frequency = 48000;

    void OnAudioFilterRead(float[] data, int channels)
    {
        for (int i = 0; i < data.Length; i += channels)
        {
            phase += 1 / sample_frequency;

            data[i] = (float)source.GetValue(phase);
            if (channels == 2) data[i + 1] += data[i];
            if (phase > 1) phase = 0;
        }
    }


    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}
}
