﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

[System.Serializable]
public class WaveData {

    public int freq;
    public double amp;
    public double phaseOffset;

    public double GetValue (double x)
    {
        return amp * Math.Sin((freq * x + phaseOffset) * 2 * Math.PI);
	}
}
